Wed, 23 Sep 2020 17:33:43 UTC

Information for RPM php-brumann-polyfill-unserialize-1.0.3-1.el7.src.rpm

ID17854725
Namephp-brumann-polyfill-unserialize
Version1.0.3
Release1.el7
Epoch
Archsrc
SummaryBackports unserialize options introduced in PHP 7.0
DescriptionBackports unserialize options introduced in PHP 7.0 to older PHP versions. This was originally designed as a Proof of Concept for Symfony Issue [#21090](https://github.com/symfony/symfony/pull/21090). You can use this package in projects that rely on PHP versions older than PHP 7.0. In case you are using PHP 7.0+ the original unserialize() will be used instead. From the [documentation](https://secure.php.net/manual/en/function.unserialize.php): > Warning: Do not pass untrusted user input to unserialize(). Unserialization > can result in code being loaded and executed due to object instantiation and > autoloading, and a malicious user may be able to exploit this. This warning holds true even when `allowed_classes` is used. Autoloader: /usr/share/php/Brumann/Polyfill/autoload.php
Build Time2019-06-16 19:47:49 GMT
Size9,112
dda615885f79af23faa2daf6585c545f
LicenseMIT
Buildrootepel7-build-16574434-1189860
Provides No Provides
Obsoletes No Obsoletes
Conflicts No Conflicts
Requires
php(language) >= 5.3
php-composer(fedora/autoloader)
php-composer(phpunit/phpunit)
php-pcre
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
Recommends No Recommends
Suggests No Suggests
Supplements No Supplements
Enhances No Enhances
Files
1 through 2 of 2
Name ascending sort Size
php-brumann-polyfill-unserialize-1.0.3-844d7e44b62a1a3d5c68cfb7ebbd59c17ea0fd7b.tar.gz4,061
php-brumann-polyfill-unserialize.spec3,663
Component of No Buildroots